%{?nodejs_default_filter}
%{?nodejs_find_provides_and_requires}

Name:       nodejs-rhea
Version:    1.0.21
Release:    1%{?dist}
Summary:    A reactive messaging library based on the AMQP protocol
License:    ASL 2.0
Group:      System Environment/Libraries
URL:        https://github.com/grs/rhea
Source0:    rhea-%{version}.tar.gz
Source1:    licenses.xml

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  nodejs-debug
#BuildRequires:  mocha
Requires:       nodejs-debug


%description
A reactive library for the AMQP protocol.


%prep
%setup -q -n rhea-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/rhea
mkdir -p %{buildroot}%{_docdir}/%{name}
mkdir -p %{_builddir}/%{name}-%{version}
cp -a lib package.json dist .eslintrc %{buildroot}%{nodejs_sitelib}/rhea
cp -Lp %{SOURCE1} .
%nodejs_symlink_deps


%check 
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
#cd %{buildroot}%{nodejs_sitelib}/rhea
#mocha --exit

%files
%license LICENSE
%doc README.md examples licenses.xml
%{nodejs_sitelib}/rhea


%changelog
* Fri May 15 2020 Irina Boverman <iboverma@redhat.com> - 1.0.21-1
- Rebased to 1.0.21

* Thu Apr 30 2020 Irina Boverman <iboverma@redhat.com> - 1.0.20-1
- Rebased to 1.0.20

* Wed Jan 22 2020 Irina Boverman <iboverma@redhat.com> - 1.0.16-1
- Rebased to 1.0.16

* Wed Dec  18 2019 Irina Boverman <iboverma@redhat.com> - 1.0.15-1
- Rebased to 1.0.15

* Mon Aug 12 2019 Irina Boverman <iboverma@redhat.com> - 1.0.8-1
- Rebased to 1.0.8

* Wed May  8 2019 Irina Boverman <iboverma@redhat.com> - 1.0.7-1
- Rebased to 1.0.7

* Thu Feb  7 2019 Irina Boverman <iboverma@redhat.com> - 0.3.9-1
- Rebased to 0.3.9

* Fri Nov 16 2018 Irina Boverman <iboverma@redhat.com> - 0.3.4-1
- Rebased to 0.3.4
- Initial build for RHEL 8

* Tue Jul 24 2018 Irina Boverman <iboverma@redhat.com> - 0.2.17-1
- Rebased to 0.2.17

* Tue Jul 10 2018 Irina Boverman <iboverma@redhat.com> - 0.2.15-1
- Rebased to 0.2.15

* Tue Mar 13 2018 Irina Boverman <iboverma@redhat.com> - 0.2.10-1
- Rebased to 0.2.10

* Thu Jan 25 2018 Irina Boverman <iboverma@redhat.com> - 0.2.9-1
- Rebased to 0.2.9

* Wed Nov 15 2017 Irina Boverman <iboverma@redhat.com> - 0.2.6-1
- Rebased to 0.2.6

* Fri Sep 15 2017 Irina Boverman <iboverma@redhat.com> - 0.2.4-1
- Rebased to 0.2.4

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Irina Boverman <iboverma@redhat.com> - 0.2.0-1
- Rebased to 0.2.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug  1 2016 Irina Boverman <iboverma@redhat.com> - 0.1.7-1
- Rebased to 0.1.7

* Mon Jun 13 2016 Irina Boverman <iboverma@redhat.com> - 0.1.6-1
- Rebased to 0.1.6

* Tue Jun  7 2016 Irina Boverman <iboverma@redhat.com> - 0.1.5-1
- Rebased to 0.1.5

* Wed Jun  1 2016 Irina Boverman <iboverma@redhat.com> - 0.1.3-1
- Rebased to 0.1.3

* Tue May 31 2016 Irina Boverman <iboverma@redhat.com> - 0.1.2-1
- Initial package
